ColumnNameHelper (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable

## Class ColumnNameHelper

- java.lang.Object
- - org.apache.cassandra.io.sstable.ColumnNameHelper

-     public class ColumnNameHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnNameHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.nio.ByteBuffer>` | `maxComponents(java.util.List<java.nio.ByteBuffer> maxSeen, Composite candidate, CellNameType comparator)` finds the max cell name component(s) Note that this method *can modify maxSeen*.
    `static java.util.List<java.nio.ByteBuffer>` | `mergeMax(java.util.List<java.nio.ByteBuffer> maxColumnNames, java.util.List<java.nio.ByteBuffer> candidates, CellNameType comparator)` Merge 2 lists of max cell name components.
    `static java.util.List<java.nio.ByteBuffer>` | `mergeMin(java.util.List<java.nio.ByteBuffer> minColumnNames, java.util.List<java.nio.ByteBuffer> candidates, CellNameType comparator)` Merge 2 lists of min cell name components.
    `static java.util.List<java.nio.ByteBuffer>` | `minComponents(java.util.List<java.nio.ByteBuffer> minSeen, Composite candidate, CellNameType comparator)` finds the min cell name component(s) Note that this method *can modify maxSeen*.
    `static boolean` | `overlaps(java.util.List<java.nio.ByteBuffer> minColumnNames1, java.util.List<java.nio.ByteBuffer> maxColumnNames1, java.util.List<java.nio.ByteBuffer> minColumnNames2, java.util.List<java.nio.ByteBuffer> maxColumnNames2, CellNameType comparator)` Checks if the given min/max column names could overlap (i.e they could share some column names based on the max/min column names in the sstables)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnNameHelper

          public ColumnNameHelper()

  - ### Method Detail

    - #### maxComponents

          public static java.util.List<java.nio.ByteBuffer> maxComponents(java.util.List<java.nio.ByteBuffer> maxSeen,
                                                                          Composite candidate,
                                                                          CellNameType comparator)

      finds the max cell name component(s) Note that this method *can modify maxSeen*.
      Parameters:
        `maxSeen` - the max columns seen so far
        `candidate` - the candidate column(s)
        `comparator` - the comparator to use
      Returns:
        a list with the max column(s)

    - #### minComponents

          public static java.util.List<java.nio.ByteBuffer> minComponents(java.util.List<java.nio.ByteBuffer> minSeen,
                                                                          Composite candidate,
                                                                          CellNameType comparator)

      finds the min cell name component(s) Note that this method *can modify maxSeen*.
      Parameters:
        `minSeen` - the max columns seen so far
        `candidate` - the candidate column(s)
        `comparator` - the comparator to use
      Returns:
        a list with the min column(s)

    - #### mergeMin

          public static java.util.List<java.nio.ByteBuffer> mergeMin(java.util.List<java.nio.ByteBuffer> minColumnNames,
                                                                     java.util.List<java.nio.ByteBuffer> candidates,
                                                                     CellNameType comparator)

      Merge 2 lists of min cell name components.
      Parameters:
        `minColumnNames` - lhs
        `candidates` - rhs
        `comparator` - comparator to use
      Returns:
        a list with smallest column names according to (sub)comparator

    - #### mergeMax

          public static java.util.List<java.nio.ByteBuffer> mergeMax(java.util.List<java.nio.ByteBuffer> maxColumnNames,
                                                                     java.util.List<java.nio.ByteBuffer> candidates,
                                                                     CellNameType comparator)

      Merge 2 lists of max cell name components.
      Parameters:
        `maxColumnNames` - lhs
        `candidates` - rhs
        `comparator` - comparator to use
      Returns:
        a list with biggest column names according to (sub)comparator

    - #### overlaps

          public static boolean overlaps(java.util.List<java.nio.ByteBuffer> minColumnNames1,
                                         java.util.List<java.nio.ByteBuffer> maxColumnNames1,
                                         java.util.List<java.nio.ByteBuffer> minColumnNames2,
                                         java.util.List<java.nio.ByteBuffer> maxColumnNames2,
                                         CellNameType comparator)

      Checks if the given min/max column names could overlap (i.e they could share some column names based on the max/min column names in the sstables)

Copyright © 2018 The Apache Software Foundation